commit:     15ca41655bd5de8386b9029750df8c37bef641d5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  1 08:40:52 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jul  1 08:41:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15ca4165

dev-ruby/io-console: new package, add 0.6.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/io-console/Manifest                |  1 +
 dev-ruby/io-console/io-console-0.6.0.ebuild | 36 +++++++++++++++++++++++++++++
 dev-ruby/io-console/metadata.xml            | 11 +++++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-ruby/io-console/Manifest b/dev-ruby/io-console/Manifest
new file mode 100644
index 000000000000..017e969e1373
--- /dev/null
+++ b/dev-ruby/io-console/Manifest
@@ -0,0 +1 @@
+DIST io-console-0.6.0.tar.gz 45358 BLAKE2B 
0de9eabbc2dd218e7ff367d970133080eda36178f35655c392ba6ab73866cb7fba09fd26a16062ef1f1bab1fb941486f13e277589aa98954612d4593421afcff
 SHA512 
25e6fc318c51dc9f8daf5743340505eea7c5364b1787862464bfb45afb99c7c7ac8c55caf1f53c5fb5921269f3827262f17449f110efbcc44f7364235563959d

diff --git a/dev-ruby/io-console/io-console-0.6.0.ebuild 
b/dev-ruby/io-console/io-console-0.6.0.ebuild
new file mode 100644
index 000000000000..6c1240d7498a
--- /dev/null
+++ b/dev-ruby/io-console/io-console-0.6.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/io/console/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/io"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="io-console.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="add console capabilities to IO instances"
+HOMEPAGE="https://github.com/ruby/io-console";
+SRC_URI="https://github.com/ruby/io-console/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+               -e 's/git ls-files -z/find * -print0/' \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+       sed -e '/task :test/ s:^:#:' -i Rakefile || die
+
+       # Avoid test that require a proper TTY
+       sed -e '/test_\(bad_keyword\|failed_path\)/aomit "requires TTY"' \
+               -i test/io/console/test_io_console.rb || die
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:.:test:test/lib -rhelper -e 
'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}

diff --git a/dev-ruby/io-console/metadata.xml b/dev-ruby/io-console/metadata.xml
new file mode 100644
index 000000000000..e316e22be118
--- /dev/null
+++ b/dev-ruby/io-console/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/io-console</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to